Get Post Reply Comments
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/post/comment/replies \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/post/comment/replies"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/post/comment/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": 1,
"cursor": 6,
"total": 210,
"comments": [
{
"aweme_id": "7306132438047116586",
"cid": "7500675626996744968",
"collect_stat": 0,
"comment_language": "en",
"create_time": 1701092134,
"digg_count": 1191,
"is_author_digged": false,
"is_comment_translatable": true,
"is_high_purchase_intent": false,
"reply_id": "7306133620770751250",
"reply_to_reply_id": "0",
"status": 1,
"stick_position": 0,
"text": "and nbnc 😞",
"user": {
"account_labels": null,
"ad_cover_url": null,
"advance_feature_item_order": null,
"advanced_feature_info": null,
"avatar_thumb": {
"uri": "tos-alisg-avt-0068/5fee0198a94bfb49960780fa8ff42e72",
"url_list": [
"https://p16-sign-sg.tiktokcdn.com/tos-alisg-avt-0068/5fee0198a94bfb49960780fa8ff42e72~tplv-tiktokx-cropcenter:100:100.jpg?dr=14579&refresh_token=de42bc37&x-expires=1763629200&x-signature=6OEuZ0tmvBa7DZaz8Dt6dPfmaxk%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=my",
"https://p16-sign-sg.tiktokcdn.com/tos-alisg-avt-0068/5fee0198a94bfb49960780fa8ff42e72~tplv-tiktokx-cropcenter:100:100.jpeg?dr=14579&refresh_token=66560ee7&x-expires=1763629200&x-signature=Y9IXcfNdP3yi6259tCG1Id5bFOM%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=my"
],
"url_prefix": null
},
"bold_fields": null,
"can_message_follow_status_list": null,
"can_set_geofencing": null,
"cha_list": null,
"cover_url": null,
"custom_verify": "",
"enterprise_verify_reason": "",
"events": null,
"followers_detail": null,
"geofencing": null,
"homepage_bottom_toast": null,
"item_list": null,
"mutual_relation_avatars": null,
"need_points": null,
"nickname": "Taylor Swift",
"platform_sync_info": null,
"relative_users": null,
"search_highlight": null,
"sec_uid": "MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6",
"shield_edit_field_info": null,
"type_label": null,
"uid": "6881290705605477381",
"unique_id": "taylorswift",
"user_profile_guide": null,
"user_tags": null,
"white_cover_url": null
}
}
]
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Post
Get Post Reply Comments
Get Post Reply Comments
GET
/
api
/
post
/
comment
/
replies
Get Post Reply Comments
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Video ID
Pattern:
^\d+$Example:
"7306132438047116586"
Comment ID
Pattern:
^\d+$Example:
"7306133620770751250"
The number of results to be returned. The default and maximum value is 6
Example:
6
cursor parameter is used for pagination. In the first request, the default value of cursor is 0. For subsequent requests, the value of cursor will be taken from the response of the previous request
Example:
0
Response
Success
Was this page helpful?
⌘I

